package figury;

public class Trojkat extends Wielokat  implements FigOpisOkr{

    double a, b, c;

    Trojkat(double b1, double b2, double b3) {
        if (b1 <= b2 && b1 <= b3) {
            a = b1;
            if (b2 <= b3) {
                b = b2;
                c = b3;
            } else {
                b = b3;
                c = b2;
            }
        } else if (b2 <= b1 && b2 <= b3) {
            a = b2;
            if (b1 <= b3) {
                b = b1;
                c = b3;
            } else {
                b = b3;
                c = b1;
            }
        } else {
            a = b3;
            if (b1 <= b2) {
                b = b1;
                c = b2;
            } else {
                b = b2;
                c = b1;
            }
        }
    }

    @Override
    public String toString() {
        return super.toString() + "->Trojkat:(" + a + ", " + b + ", " + c + ")";
    }

    @Override
    double najdluzszyBok() {
        return c;
    }

    @Override
    double obwod() {
        return a + b + c;
    }

    @Override
    double pole() {
        double p = (a + b + c) / 2;
        
        return Math.sqrt(p * (p - a) * (p - b) * (p - c));
    }

    @Override
    public double promienOkrOpis() {
        return a*b*c/(4*pole());
    }
}
